Firefox doesn't work after 23.10 upgrade

Bug #2037228 reported by Rick

This bug report was marked for expiration 197 days ago. (find out why)

22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
Incomplete
High
Unassigned
snapd (Ubuntu)
Incomplete
Undecided
Unassigned
ubuntu-release-upgrader (Ubuntu)
Invalid
Undecided
Unassigned

Bug Description

Firefox doesn’t work after upgrading from 23.04 to 23.10 beta.
The Firefox icon disappeared from my sidebar during the upgrade process.
'snap list' shows firefox stable is installed, trying to run the command firefox says:
Command '/usr/bin/firefox' requires the firefox snap to be installed. Please install it with: snap install firefox

$ lsb_release -rd
No LSB modules are available.
Description: Ubuntu Mantic Minotaur (development branch)
Release: 23.10

$ apt-cache policy firefox
firefox:
  Installed: 1:1snap1-0ubuntu3
  Candidate: 1:1snap1-0ubuntu3
  Version table:
 *** 1:1snap1-0ubuntu3 500
        500 http://archive.ubuntu.com/ubuntu mantic/main amd64 Packages
        100 /var/lib/dpkg/status

Jeremy Bícha (jbicha)
Changed in firefox (Ubuntu):
importance: Undecided → High
status: New → Confirmed
tags: added: mantic rls-mm-incoming
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Confirmed
Revision history for this message
Julian Andres Klode (juliank) wrote :

What does ls -l /snap/bin/firefox tell you?

Revision history for this message
Julian Andres Klode (juliank) wrote :

Submitter says snapped firefox is installed but snapped firefox binary isn't found, probably needs more triaging

affects: ubuntu-release-upgrader (Ubuntu) → snapd (Ubuntu)
Revision history for this message
Heinrich Schuchardt (xypron) wrote :

apt-get install firefox --reinstall

should run debian/firefox.preinst which is responsible for installing the snap.

The preinstall script depends on /run/snapd.socket existing. So when the snapd service is stopped the snap will not be installed.

Would it be preferable to let debian/firefox.preinst return an error if the socket does not exist?

Revision history for this message
Sebastien Bacher (seb128) wrote :

hum, what's the output of

$ snap info firefox

and why would snapd be stopped?

Changed in firefox (Ubuntu):
status: Confirmed → Incomplete
Changed in snapd (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Rick (rickandtired) wrote :

It looks like my issue is related to this bug
https://bugs.launchpad.net/ubuntu/+source/ubuntu-release-upgrader/+bug/2036765

I followed the steps in this post to fix my firefox
https://discourse.ubuntu.com/t/ubuntu-23-10-beta-testing/38861/9
snap refresh --channel=latest/stable/ubuntu-23.10 firefox

Firefox however semi broke again yesterday (clicking the icon didn't open it)
$ firefox
Content snap command-chain for /snap/firefox/3166/gnome-platform/command-chain/desktop-launch not found: ensure slot is connected

$ snap refresh
fixed firefox this time for me

Revision history for this message
Brian Murray (brian-murray) wrote :

I tested an upgrade from Lunar to Mantic today using ubuntu-release-upgrader version 23.10.7 which changed the snap update process from `snap refresh` to `snap switch` and still encountered this issue.

bdmurray@clean-lunar-amd64:~$ /usr/bin/firefox -h

Command '/usr/bin/firefox' requires the firefox snap to be installed.
Please install it with:

snap install firefox

bdmurray@clean-lunar-amd64:~$ snap info firefox
name: firefox
summary: Mozilla Firefox web browser
publisher: Mozilla\u2713
store-url: https://snapcraft.io/firefox
license: unset
description: |
  Firefox is a powerful, extensible web browser with support for modern web application
  technologies.
commands:
  - firefox
  - firefox.geckodriver
snap-id: 3wdHCAVyZEmYsCMFDE9qt92UV8rC8Wdk
tracking: latest/stable/ubuntu-23.10
refresh-date: today at 09:16 PDT
channels:
  latest/stable: 118.0.1-1 2023-09-28 (3206) 252MB -
  latest/candidate: 118.0.1-1 2023-09-29 (3215) 252MB -
  latest/beta: 119.0b3-1 2023-09-29 (3214) 254MB -
  latest/edge: 120.0a1 2023-09-29 (3213) 274MB -
  esr/stable: 115.3.1esr-1 2023-09-28 (3207) 253MB -
  esr/candidate: 115.3.1esr-1 2023-09-28 (3207) 253MB -
  esr/beta: \u2191
  esr/edge: \u2191
installed: 111.0.1-2 (2517) 253MB -

I then ran snap refresh firefox:

bdmurray@clean-lunar-amd64:~$ snap refresh firefox
firefox (stable/ubuntu-23.10) 118.0-1 from Mozilla\u2713 refreshed

and /usr/bin/firefox worked again.

Revision history for this message
Brian Murray (brian-murray) wrote :

Revisiting my upgrade test in comment #7 I booted the Lunar virtual machine I used for upgrade testing and discovered that the firefox snap on it was quite out of date. I performed the upgrade test again, but this time I refreshed the firefox snap before the distribution upgrade and all was well.

Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Invalid
Revision history for this message
Jeremy Bícha (jbicha) wrote :

I also was unable to verify this bug after an upgrade from 23.04 to 23.10 today.

I had previously verified this bug in my VM. Maybe it was fixed by other changes in the upgrader or maybe the Firefox snap had time to update itself before I performed the upgrade.

Revision history for this message
Sebastien Bacher (seb128) wrote :

the upgrader shouldn't make a difference there, the snap even if it's an old revision or not the expected channel should work on mantic...

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.